% JR_MRI_script
%   JR_MRI_script.m runs JR_MRI_wrapper for all six different samplings and
% so reconstructs with the a-priori assumption of the solution having minimal
% energy.
%
% See also: JR_MRI_wrapper JR_MRI
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

clear all; clf;

JR_MRI_wrapper('full')
JR_MRI_wrapper('lines2')
JR_MRI_wrapper('radial20')
JR_MRI_wrapper('radial15')
JR_MRI_wrapper('spiralHigh')
JR_MRI_wrapper('spiralUni')